﻿@inject Easy4Us.Infra.CrossCutting.Common.Interfaces.IUserAccessor UserAccessor

<div class="top-row pl-4 navbar navbar-expand-sm navbar-dark">
    <div class="container-fluid" style="flex-wrap:nowrap">
        <img src="../svgs/dell-technologies.png" style="width: auto; height: 20px;"/>
        <NavLink class="col navbar-brand nav-link" href="/">
            Easy4Us Portal
        </NavLink>
        <div class="col navbar-brand nav-link" style="float:right; text-align:right">
            <i class="oi oi-person"></i>
            <span>@userDisplay</span>
        </div>
    </div>
</div>

<div>
    <nav class="navbar navbar-default navbar-static-top">
        <ul class="nav flex-row">
            <li class="nav-item px-3">
                <NavLink class="nav-link" href="/" Match="NavLinkMatch.All">
                    <span class="oi oi-home" aria-hidden="true"></span> Home
                </NavLink>
            </li>
            @*<li class="nav-item px-3">
                <NavLink class="nav-link" href="counter">
                    <span class="oi oi-plus" aria-hidden="true"></span> Counter
                </NavLink>
            </li>*@
            <li class="nav-item px-3">
                <NavLink class="nav-link" href="campaigns">
                    <span class="oi oi-list-rich" aria-hidden="true"></span> Campaigns
                </NavLink>
            </li>

        </ul>
    </nav>

</div>

@code {

    public string userDisplay;


    protected override void OnInitialized()
    {
        userDisplay = UserAccessor.GetCurrentUserDisplayName();
    }
}
